LogLevel (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.api

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - com.marketfactory.api.LogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogLevel>

      public enum LogLevel
      extends java.lang.Enum<LogLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `LOGCRITICAL` Termination is recommended, and/or the error has financial consequences.
    `LOGDEBUG` Verbose output for debugging (compiled only in debug build).
    `LOGERROR` Error that requires human attention.
    `LOGINFO` Helpful information.
    `LOGMESSAGE` Contents of a message object.
    `LOGNONE` No Logging
    `LOGTRACE` Output for tracking problems in release (compiled in both builds).
    `LOGWARN` Something could potentially go wrong, but recoverable.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static LogLevel` | `get(byte value)`
    `static java.util.Collection<LogLevel>` | `validValues()`
    `static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGNONE

          public static final LogLevel LOGNONE

      No Logging

    - #### LOGCRITICAL

          public static final LogLevel LOGCRITICAL

      Termination is recommended, and/or the error has financial consequences.

    - #### LOGERROR

          public static final LogLevel LOGERROR

      Error that requires human attention.

    - #### LOGWARN

          public static final LogLevel LOGWARN

      Something could potentially go wrong, but recoverable.

    - #### LOGINFO

          public static final LogLevel LOGINFO

      Helpful information.

    - #### LOGMESSAGE

          public static final LogLevel LOGMESSAGE

      Contents of a message object.

    - #### LOGTRACE

          public static final LogLevel LOGTRACE

      Output for tracking problems in release (compiled in both builds).

    - #### LOGDEBUG

          public static final LogLevel LOGDEBUG

      Verbose output for debugging (compiled only in debug build).

    - #### _INVALID

          public static final LogLevel _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogLevel c : LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static LogLevel get(byte value)

    - #### validValues

          public static java.util.Collection<LogLevel> validValues()